RGB< Type >(3)

NAME
RGB< Type >

SYNOPSIS

#include <Color.h>

  Public Member Functions
RGB ()
RGB (const RGB &c)
RGB (const double d[3])
RGB (const double rr, const double gg, const double bb)
RGB operator= (const RGB &c)
RGB operator- (const RGB &c)
Type & operator[] (const unsigned int i)
Type r ()
Type g ()
Type b ()
void red ()
template<typename T2 > RGB operator= (RGBA< T2 > &c)
template<typename T2 > operator RGB< T2 > () const
RGB (RGBA< Type > &c)
RGB (CMYK< Type > &cmyk)
RGB (Bstring &hex)
Bstring hex ()
double average ()
double rms ()
void spectrum (double value, double cmin, double cmax)
void phase (double phi, double amp_ratio)
void random_color ()

Detailed Description

  template<typename Type>
class RGB< Type >"

Definition at line 24 of file Color.h.

Constructor & Destructor Documentation

  template<typename Type> RGB< Type >::RGB () [inline]

Definition at line 28 of file Color.h.

  template<typename Type> RGB< Type >::RGB (const RGB< Type > & c) [inline]

Definition at line 29 of file Color.h.

  template<typename Type> RGB< Type >::RGB (const double d[3]) [inline]

Definition at line 30 of file Color.h.

  template<typename Type> RGB< Type >::RGB (const double rr, const double gg, const double bb) [inline]

Definition at line 31 of file Color.h.

  template<typename Type> RGB< Type >::RGB (RGBA< Type > & c) [inline]

Definition at line 56 of file Color.h.

  template<typename Type> RGB< Type >::RGB (CMYK< Type > & cmyk) [inline]

Definition at line 57 of file Color.h.

  template<typename Type> RGB< Type >::RGB (Bstring & hex) [inline]

Definition at line 73 of file Color.h.

Member Function Documentation

  template<typename Type> double RGB< Type >::average () [inline]

Definition at line 87 of file Color.h.

  template<typename Type> Type RGB< Type >::b () [inline]

Definition at line 47 of file Color.h.

  template<typename Type> Type RGB< Type >::g () [inline]

Definition at line 46 of file Color.h.

  template<typename Type> Bstring RGB< Type >::hex () [inline]

Definition at line 80 of file Color.h.

  template<typename Type> template<typename T2 > RGB< Type >::operator RGB< T2 > () const [inline]

Definition at line 53 of file Color.h.

  template<typename Type> RGB RGB< Type >::operator- (const RGB< Type > & c) [inline]

Definition at line 37 of file Color.h.

  template<typename Type> RGB RGB< Type >::operator= (const RGB< Type > & c) [inline]

Definition at line 33 of file Color.h.

  template<typename Type> template<typename T2 > RGB RGB< Type >::operator= (RGBA< T2 > & c) [inline]

Definition at line 49 of file Color.h.

  template<typename Type> Type& RGB< Type >::operator[] (const unsigned int i) [inline]

Definition at line 41 of file Color.h.

  template<typename Type> void RGB< Type >::phase (double phi, double amp_ratio) [inline]

Definition at line 114 of file Color.h.

  template<typename Type> Type RGB< Type >::r () [inline]

Definition at line 45 of file Color.h.

  template<typename Type> void RGB< Type >::random_color () [inline]

Definition at line 140 of file Color.h.

  template<typename Type> void RGB< Type >::red () [inline]

Definition at line 48 of file Color.h.

  template<typename Type> double RGB< Type >::rms () [inline]

Definition at line 88 of file Color.h.

  template<typename Type> void RGB< Type >::spectrum (double value, double cmin, double cmax) [inline]

Definition at line 89 of file Color.h.

Author

Generated automatically by Doxygen for Bsoft from the source code.